# {{ ansible_managed }}
<VirtualHost *:80>
        ServerName {{ name }}

        {% if alias %}

        ServerAlias {{ alias }}

        {% endif %}

        {% if letsencrypt == True %}

        DocumentRoot /srv/vhosts/letsencrypt/{{ name }}
        <Directory /srv/vhosts/letsencrypt/{{ name }}/>
                Options -Indexes +FollowSymlinks
                Require all granted
        </Directory>

        {% endif %}

        RewriteEngine on
        RewriteCond %{SERVER_PORT} !^443$

        {% if letsencrypt == True %}

        RewriteCond %{REQUEST_URI} !^/.well-known/

        {% endif %}

        RewriteRule ^/(.*) https://%{HTTP_HOST}/$1 [NC,R=301,L]
</VirtualHost>